QGIS Application - Feature request #8006
Adjust print composer table columns with long text (or add "wrap on text” option)
2013-06-05 08:57 PM - James Harvey

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 16856
Description

It would be good to adjust the print composer data tables so that long text within a row can wrap.

Associated revisions

Revision b7856489 - 2015-08-18 09:16 PM - Nyall Dawson

[FEATURE][composer] Option for 'wrap text on' for attribute tables

Fix #8006

Sponsored by City of Uster

History

#1 - 2013-06-06 09:01 AM - Giovanni Manghi
- Status changed from Open to Feedback

there is the "wrap on text" option, is no good for you?

#2 - 2013-06-06 02:31 PM - James Harvey

Giovanni Manghi wrote:

there is the "wrap on text" option, is no good for you?

| cannot see this option on my 1.9 weekly build. | have tried looking under the item properties on the Print Composer and clicking through to sub menus off
the table insert option. Is the "wrap on text" a recent addition | am missing and just need to update my QGIS for this?

#3 - 2013-06-07 03:13 AM - Giovanni Manghi
- File 18.png added

James Harvey wrote:

Giovanni Manghi wrote:

there is the "wrap on text" option, is no good for you?
I cannot see this option on my 1.9 weekly build. | have tried looking under the item properties on the Print Composer and clicking through to sub

menus off the table insert option. Is the "wrap on text" a recent addition | am missing and just need to update my QGIS for this?

see attached image

#4 - 2013-07-08 02:08 PM - James Harvey

- File qgis-windows-attribute-table-errors.png added

Giovanni Manghi wrote:

there is the "wrap on text" option, is no good for you?

The image posted 18.png was for the Legend and not the Table attribute ;-) - | have posted the errors | get. | don't see a wrap on text option, but | would

prefer either to set the column width somehow in the settings or click on a column line and drag it out and let the text wrap inside.

| also get column lines showing after | have deleted attributes. | will post this as a new issue.

I am now using Windows 1.9 Weekly Build QGIS bdd61d5

#5 - 2013-07-09 12:14 AM - Giovanni Manghi

I also get column lines showing after | have deleted attributes. | will post this as a new issue.

probably already fixed, see #7781

#6 - 2013-07-09 12:27 AM - Giovanni Manghi

- Subject changed from Adjust print composer table columns with long text to Adjust print composer table columns with long text (or add "wrap on text"
option)

- OS version deleted (1.9 Weekly Build QGIS 6164ace)

- Operating System deleted (Windows)

- Target version set to Future Release - Nice to have

#7 - 2014-07-20 08:17 PM - Russell Fulton

Il add a +1 to this. | have site descriptions that | want to print on the second page of the map (back of the sheet). Some of these are quite long and get
truncated.

#8 - 2014-09-20 01:43 AM - Nyall Dawson

- Status changed from Feedback to Open

#9 - 2015-08-18 01:35 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"b78564899a62d4df0252a080689a4ed5be77b371".
18.png 37.6 KB 2013-06-07 Giovanni Manghi
qgis-windows-attribute-table-errors.png 66.1 KB 2013-07-08 James Harvey
